=== debian/changelog ===
kdepim-runtime (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:26:48 +0200

kdepim-runtime (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:48:04 +0200

kdepim-runtime (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - fix libfolderarchive wildcard in kdepim-runtime.install
    - Add ~ to build-dep version of libsignon to allow for backports

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:03 +0200
