## kdepim-runtime 4.14.1

=== debian/changelog ===
kdepim-runtime (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:48:11 +0200

kdepim-runtime (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:48:05 +0200

kdepim-runtime (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update build-dep to libkgapi 2.2
  * Update .install file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:35:33 +0200

kdepim-runtime (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:04:08 +0200

kdepim-runtime (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add new files to .install
  * Add build-dep on libsasl2-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:59:25 +0200

kdepim-runtime (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:53:06 +0100

kdepim-runtime (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian git, remaining changes
    - Add kubuntu_signonqt4.diff
    - Add libkfbapi-dev to Build Depends
    - Add libsignon-qt-dev to Build depends
    - Add libaccounts-qt-dev to Build Depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 21 May 2014 18:36:19 +0200

kdepim-runtime (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove upstream patch: fix_upstream_329805_akonadi_imap_crash.patch
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 11:13:13 +0200

kdepim-runtime (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Add ~ to build-dep version of libsignon to allow for backports

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Apr 2014 13:34:42 +0100

kdepim-runtime (4:4.12.4-2) unstable; urgency=medium

  * Team upload
  * Backport upstream patch to avoid akonadi_imap crash
    (upstream bug: 329805)

 -- Didier Raboud <odyx@debian.org>  Sat, 10 May 2014 00:52:26 +0200

kdepim-runtime (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:48 +0200

kdepim-runtime (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:52 +0100

kdepim-runtime (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Update build dependencies.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:30 +0100

kdepim-runtime (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Build the unit tests.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 29 Jan 2014 17:19:15 +0100
